/* -*-c,save-*- */
/*
 * rpoem.c - random poetry program
 * Robert Heller. Created: Sun Feb 23, 1986 13:17:54.77
 * Last Mod: 
 * 
 * (c) Copyright 1986 by Robert Heller
 *     All Rights Reserved
 * 
 * 
 */
#include <stdio.h>
#ifdef OSK
#include <time.h>
static time_t curtime;
#endif
#ifdef unix
#include <time.h>
static time_t curtime;
#endif

#include <stdlib.h>
#include "patdef.h"
#include "rsent.h"
#include "snorand.h"


#define SYNFILE "RPOEM.SYN"
#define DEFVCOUNT 30

char poem_buff[8192];

static void printl(char *buff);

int main(int argc,char *argv[])
{
    register int count;
    register int nverses;

    rsent_init(SYNFILE);
#ifdef STRIDE400
    srand(gettime());
#endif
#ifdef OSK
	srand(time(&curtime));
#endif
#ifdef unix
	srand(time(&curtime));
#endif
    if (argc > 1) nverses = atoi(argv[1]);
    else nverses = DEFVCOUNT;
    for (count=0;count<nverses;count++) {
	rsentence("<RPOEM>",poem_buff);
	printf("------------------------------------------\nVerse %d\n",
	       count+1);
	printl(poem_buff);
    }
    printf("------------------------------------------\n");
    return 0;
}

static void printl(char *buff)
{
    while (*buff != '\0') {
	if (*buff != '\\') putchar(*buff);
	else {
	    buff++;
	    if (*buff == 'n') putchar('\n');
	    else putchar(*buff);
	}
	buff++;
    }
}
