/* -*-c,save-*- */
/*
 * RSTORY2.C - Random Story Generator - Version 2
 * Robert Heller. Created: Wed Jun 10, 1987 20:06:37.42
 * Last Mod: 
 * 
 * (c) Copyright 1986 by Robert Heller
 *     All Rights Reserved
 * 
 * 
 */

#include <stdio.h>

#define LOCAL static

/* #define DEBUG */ /* debugging hacks */

#ifdef DEBUG
#define LOCAL /* static */
#endif

char *malloc(),*calloc(),*index(),*fgets();
FILE *fopen();

main()
{
    static char actline[1024];
    static char child[64], animal[64], color[64], stype[32];
    static char aname[64];
    static int gender;

    askfor(child,animal,color,&gender,stype);
    sprintf(actline,"rstory_%s %s %s %s %d ! tformat >/p1", stype, child,
    		animal, color, gender);
	os9fork("shell",strlen(actline),actline,0,0,0,0);
    }

askfor(child,animal,color,gender,stype)
char *child, *animal, *color, *stype;
int *gender;
{
    static char ans[256];

    for (*child = '\0'; strlen(child) == 0;) {
	printf("What is your name? ");
	gets(child);
	while (*child > '\0' && *child <= ' ') strcpy(child,child+1);
	if (*child == '\0') 
	    printf("Aw, come one, you must have a name!\n");
	}
    for (ans[0] = '\0'; strlen(ans) == 0 || index("BbGg",ans[0]) == NULL;) {
	printf("Are you a boy(B) or a girl(G)?");
	gets(ans);
	while (ans[0] > '\0' && ans[0] <= ' ') strcpy(ans,&ans[1]);
	if (ans[0] == '\0' || index("BbGg",ans[0]) == NULL) 
	    printf("Aw, come one, you must be a boy or a girl!\n");
	}
    if (ans[0] == 'B' || ans[0] == 'b') *gender = 1;
    else *gender = 0;	
    for (*animal = '\0'; strlen(animal) == 0;) {
	printf("What is your favorite type of animal? ");
	gets(animal);
	while (*animal > '\0' && *animal <= ' ') strcpy(animal,animal+1);
	if (*animal == '\0') 
	    printf("Aw, come one, you must have a favorite type of animal!\n");
	}
    for (*color = '\0'; strlen(color) == 0;) {
	printf("What is your favorite color? ");
	gets(color);
	while (*color > '\0' && *color <= ' ') strcpy(color,color+1);
	if (*color == '\0') 
	    printf("Aw, come one, you must have a favorite color!\n");
	}
    for (ans[0] = '\0'; strlen(ans) == 0 || index("WwSsCcGg",ans[0]) == NULL;) {
	printf("What kind of story would you like:\n  Wild West(W), Space(S), Big city(C), or Ghost(G)?");
	gets(ans);
	while (ans[0] > '\0' && ans[0] <= ' ') strcpy(ans,&ans[1]);
	if (ans[0] == '\0' || index("WwSsCcGg",ans[0]) == NULL) 
	    printf("Aw, come one, I only know these four kinds of stories!\n");
	}
    switch (ans[0]) {
	case 'W':
	case 'w': strcpy(stype,"WILDWEST"); break;
	case 'S':
	case 's': strcpy(stype,"SPACE"); break;
	case 'C':
	case 'c': strcpy(stype,"BCITY"); break;
	case 'G':
	case 'g': strcpy(stype,"GHOST"); break;
	}
    }
