/* random number generator lifted from Algorithms In SNOBOL4 too (rand and 
 * srand in DR's CLIB is not suitable).
 */

#include "snorand.h"

static RAND_SEED_TYPE rand_var = 1; /* random seed */

#define max_int ((float) ((long int) 0x7fffffff))

/* srand sets the random seed value */
int ssnorand(RAND_SEED_TYPE seed)
{
    rand_var = RAND_MODULUS(seed);	/* just set the seed */
/*    printf("srand(%d) -> %d\n",seed, rand_var); */
    }
/* random returns the next random number */
int snorand(int n)
{
    float Random,a,b;	/* temporary floats */
    long int temp;

    /* compute new random value */
    rand_var = (rand_var * Prim_Element) % Prime_Modulus;
    /* compute value in the interval 0..1 */
    a = (float) rand_var;
    b = (float) Prime_Modulus;
    Random = a/b;
/*    printf("rand_var = %d; a=%f,b=%f,Random=%f\n",rand_var,a,b,Random); */
    Random = Random * n;
    temp = (long int) Random;
/*    printf("Random*%f=%f, %d\n",max_int,Random,temp); */
    return(temp);	/* return a int value */
    }

